package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 活动类型表 
 * </p>
 *
 * @author jobob
 * @since 2020-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBuildingDynamicType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动类型id
     */
    @TableId(value = "dynamic_type_id", type = IdType.AUTO)
    private Integer dynamicTypeId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 活动类型名称
     */
    private String dynamicTypeName;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
